%global source_date_epoch_from_changelog nil
%global clamp_mtime_to_source_date_epoch 1
%global srcname mvsfunc
%global commitid 865c748
%global fullcommitid 865c7486ca860d323754ec4774bc4cca540a7076

Name:           python-vapoursynth-%{srcname}
Version:        11.r.%{commitid}
Release:        1%{?dist}
Summary:        Plugin for Vapoursynth: %{srcname}

License:        MIT-0
URL:            https://github.com/HomeOfVapourSynthEvolution/mvsfunc
Source:         %{url}/archive/%{commitid}.zip

Patch:  0001-mvsfunc-add-tox-config.patch

BuildArch:      noarch

BuildRequires:      git-core
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest)

Requires: vapoursynth-plugin-fmtconv
Requires: vapoursynth-plugin-bm3d

%global _description %{expand:
A Vapoursynth plugin: %{srcname}.}

%description %_description

%package -n python3-vapoursynth-%{srcname}
Summary: %{summary}
%description -n python3-vapoursynth-%{srcname} %{_description}

%prep
%autosetup -S git -n %{srcname}-%{fullcommitid}


%generate_buildrequires
%pyproject_buildrequires -t


%build
%pyproject_wheel

%install
%pyproject_install

%pyproject_save_files -L %{srcname}

%files -n python3-vapoursynth-%{srcname}
%{python3_sitelib}/%{srcname}*
